classification
Title: email/_header_value_parser.py:parse_message_id: UnblondLocalError
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder: While parsing email message id: UnboundLocalError
View: 38698
Assigned To: Nosy List: ddevault, maxking, xtreak
Priority: normal Keywords:

Created on 2019-12-22 16:35 by ddevault, last changed 2019-12-30 14:04 by ddevault. This issue is now closed.

Messages (4)
msg358794 - (view) Author: Drew DeVault (ddevault) Date: 2019-12-22 16:35
File "/usr/lib/python3.8/site-packages/emailthreads/threads.py", line 14, in get_message_by_id
    if msg["message-id"] == msg_id:
  File "/usr/lib/python3.8/email/message.py", line 391, in __getitem__
    return self.get(name)
  File "/usr/lib/python3.8/email/message.py", line 471, in get
    return self.policy.header_fetch_parse(k, v)
  File "/usr/lib/python3.8/email/policy.py", line 163, in header_fetch_parse
    return self.header_factory(name, value)
  File "/usr/lib/python3.8/email/headerregistry.py", line 602, in __call__
    return self[name](name, value)
  File "/usr/lib/python3.8/email/headerregistry.py", line 197, in __new__
    cls.parse(value, kwds)
  File "/usr/lib/python3.8/email/headerregistry.py", line 530, in parse
    kwds['parse_tree'] = parse_tree = cls.value_parser(value)
  File "/usr/lib/python3.8/email/_header_value_parser.py", line 2116, in parse_message_id
    message_id.append(token)
msg358795 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-12-22 17:03
I think this should be fixed with issue38698 in 3.8.1 . Can you please try the latest stable release.
msg358861 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-12-25 12:52
Closing it as duplicate. Feel free to reopen if it's reproducible on latest stable release. Thanks.
msg359042 - (view) Author: Drew DeVault (ddevault) Date: 2019-12-30 14:04
Sorry for the delay, was travelling for the holidays. I'll check that this is not an issue with 3.8.1. Thanks!
History
Date User Action Args
2019-12-30 14:04:27ddevaultsetmessages: + msg359042
2019-12-25 12:52:17xtreaksetstatus: open -> closed

superseder: While parsing email message id: UnboundLocalError

nosy: + maxking
messages: + msg358861
resolution: duplicate
stage: resolved
2019-12-22 17:03:09xtreaksetnosy: + xtreak
messages: + msg358795
2019-12-22 16:35:18ddevaultcreate